#
# spec file for package  proxychains (Version 3.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Name:           proxychains
Version:        3.1
Release:        3.3
Summary:        A tool for proxyfing applications
Source:         %{name}-%{version}.tar.bz2
Source1:	%{name}.rpmlintrc
Patch0:         proxychains-fix-getnameinfo.diff
URL:            http://sourceforge.net/projects/proxychains/
Group:          Productivity/Networking/Other
License:        GPL
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
Autoreqprov:    on
BuildRequires:  autoconf automake libtool

%description
This program allows you to use SSH, TELNET, VNC, FTP and any other Internet application from behind HTTP(HTTPS) and SOCKS(4/5) proxy servers. This "proxifier" provides proxy server support to any app.

This program forces any tcp connection made by any given tcp client
to follow through proxy (or proxy chain). It is a kind of proxifier.
It acts like sockscap / permeo / eborder driver ( intercepts TCP calls )
It is FREE.



%prep

%setup -q
# it seems getnameinfo changed from "unsigned int flags" to "int flags"
# and the compiler is picky about that... -- 2012-05-06 seife
%if 0%{?suse_version} >= 1210
%patch0 -p1
%endif

%build

autoreconf -fi

export CXXFLAGS="$RPM_OPT_FLAGS"

%configure

make

%install

make DESTDIR=$RPM_BUILD_ROOT install

# remove static libs
rm -rf $RPM_BUILD_ROOT/%{_libdir}/libproxychains.*a

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%post 
/sbin/ldconfig

%postun 
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README INSTALL ChangeLog TODO AUTHORS
%{_bindir}/%{name}
%{_bindir}/proxyresolv
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}.conf
%{_libdir}/libproxychains*

%changelog
* Thu Aug 16 2012 seife+obs@b1-systems.com
- fix build on 12.2+ (add buildreq: autoconf automake libtool)
* Sun May  6 2012 seife+obs@b1-systems.com
- add proxychains-fix-getnameinfo.diff to fix build on 12.1+
* Wed Mar  4 2009 AxelKoellhofer@web.de
- initial package, version 3.1
